Generate portal token
curl --request POST \
--url https://sandbox-api.togai.com/organizations/{organization_id}/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://sandbox-api.togai.com/organizations/{organization_id}/token"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://sandbox-api.togai.com/organizations/{organization_id}/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "eyJraWQiOiI5YWNhYTQzNC1jYjVkLTQzOTgtOTc4OS0yZDdjNjViNzc4MDgiLCJhbGciOiJFUzI1NiIsInppcCI6IkdaSVAifQ.H4sIAAAAAAAA_72SXUvDMBiF_8oIu1hL0zad_TB3pXcyFPzCi6LEmLaBtilJOh3O_27qnBOnIjh6lbyHk3OeF_IMuFIAg0rrTmHP46Rxq1WnhUtFAxzAiQYYxSiO4yiM5w5gT91GSKLgeBCWTJr3yPWNu1fDvZItvj6hmt9IlZ5j2iuETS7sFZOeHxRhUKAQRon_AI_MCO_nUQgTlDDkk4IlcWSShCxN0i7FSKzVXNesMedA3DmTL0VvJZ2oOV156WJxl2bZ2dXp5cVfKp3J7XfYuoTm1KIx5IMw3fe59meXyvNpyXS2HZ0JqWvxmLdj4RJKRd9qz7V_ZH23DKgzw7quudKWa4-K6m1QZrxdCk6ZWne9pBVRTFm_oW_9H3ZrrCX-_an3V8I72vIgBQdcOG_Byys183uiHAQAAA.Ji5sLX1cD814Wv1kmXmJMXqW3y-HJ6oEXfggrpdf571otTywIR3fXgcKXFciUDAyt8awgp5v5wQUoGINHoirSA"
}
Authentication
Generate portal token
Generates and returns a bearer token belonging to a contact scoped to the accounts to which portal access has been granted
POST
/
organizations
/
{organization_id}
/
token
Generate portal token
Authorizations
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.Path Parameters
Id of the organization. An organization is a tenant in Togai.
Body
email id of the contact whose token.
Response
JWT bearer token of the contact.
{
"token": "eyJraWQiOiI5YWNhYTQzNC1jYjVkLTQzOTgtOTc4OS0yZDdjNjViNzc4MDgiLCJhbGciOiJFUzI1NiIsInppcCI6IkdaSVAifQ.H4sIAAAAAAAA_72SXUvDMBiF_8oIu1hL0zad_TB3pXcyFPzCi6LEmLaBtilJOh3O_27qnBOnIjh6lbyHk3OeF_IMuFIAg0rrTmHP46Rxq1WnhUtFAxzAiQYYxSiO4yiM5w5gT91GSKLgeBCWTJr3yPWNu1fDvZItvj6hmt9IlZ5j2iuETS7sFZOeHxRhUKAQRon_AI_MCO_nUQgTlDDkk4IlcWSShCxN0i7FSKzVXNesMedA3DmTL0VvJZ2oOV156WJxl2bZ2dXp5cVfKp3J7XfYuoTm1KIx5IMw3fe59meXyvNpyXS2HZ0JqWvxmLdj4RJKRd9qz7V_ZH23DKgzw7quudKWa4-K6m1QZrxdCk6ZWne9pBVRTFm_oW_9H3ZrrCX-_an3V8I72vIgBQdcOG_Byys183uiHAQAAA.Ji5sLX1cD814Wv1kmXmJMXqW3y-HJ6oEXfggrpdf571otTywIR3fXgcKXFciUDAyt8awgp5v5wQUoGINHoirSA"
}
⌘I
